Subject: Re: [PATCH 6/24] make atomic_read() behave consistently on frv

From: David Howells <[email-masked]>
Date: Fri, 10 Aug 2007 10:23:46 +0100

Chris Snook <[email-masked]> wrote:

> To head off the criticism, I admit this is an oversimplification, and true
> busy-waiters should be using cpu_relax(), which contains a barrier.

Why would you want to use cpu_relax()?  That's there to waste time efficiently,
isn't it?  Shouldn't you be using smp_rmb() or something like that?

David